Warning, /games/amor/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required(VERSION 3.16)
0002 project(amor)
0003 
0004 if (POLICY CMP0063)
0005     cmake_policy(SET CMP0063 NEW)
0006 endif()
0007 
0008 set(KF5_VERSION "5.83.0")
0009 set(QT_REQUIRED_VERSION "5.15.0")
0010 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
0011 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
0012 include(ECMInstallIcons)
0013 include(KDEInstallDirs)
0014 include(KDECMakeSettings)
0015 include(KDECompilerSettings NO_POLICY_SCOPE)
0016 include(ECMQtDeclareLoggingCategory)
0017 include(ECMSetupVersion)
0018 include(FeatureSummary)
0019 
0020 set(CMAKE_AUTOMOC ON)
0021 
0022 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED
0023     Core
0024     DBus
0025     Widgets
0026     X11Extras
0027 )
0028 
0029 find_package(KF5DocTools ${KF5_VERSION} CONFIG REQUIRED)
0030 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
0031 find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
0032 find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
0033 find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
0034 find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
0035 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
0036 find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
0037 
0038 
0039 find_package(XCB REQUIRED)
0040 
0041 
0042 ecm_setup_version(2.4.0 VARIABLE_PREFIX AMOR VERSION_HEADER src/version.h)
0043 
0044 
0045 # Search KDE installation
0046 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
0047 add_definitions(-DQT_NO_DEPRECATED_BEFORE=0x060000)
0048 
0049 add_subdirectory( data )
0050 add_subdirectory( src )
0051 add_subdirectory( doc )
0052 
0053 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)